Subject: bug#38167: guix pull takes over 8 GiB of memory to finish if there are no substitutes

From: Danny Milosavljevic <[email-masked]>
Date: Thu, 26 Dec 2019 20:45:55 +0100

Hi Ludo,

On Mon, 11 Nov 2019 21:42:24 +0100
Ludovic Courtès <[email-masked]> wrote:

> Also, it would be great if you could identify which derivation build
> requires that much memory, if this was happening sequentially.  (I
> suspect “guix-packages.drv” is the one that eats up the most memory.)

How do I do that?

I've attached the process tree, filtered by "grep guix", of the latest such
occurence (if this E-Mail still makes it before I have no memory left :P).

I also have the unfiltered process tree and I didn't invoke "guix gc"--if we
need that.